Skip to navigation

RequestTemplateWithDocumentFields

View as Markdown

The RequestTemplateWithDocumentFields call is similar to the RequestTemplate call. It returns the requested template containing all the template data, including the document custom DocumentFields.

Schema

NameSchema TypeDescription
TemplateIdDSXIdTemplate ID to return.
IncludeDocumentBytesBooleanIf true, include the document bytes of the template within the Envelope object returned.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/3.0/RequestTemplateWithDocumentFields"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestTemplateWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
<TemplateID>string</TemplateID>
<IncludeDocumentBytes>boolean</IncludeDocumentBytes>
</RequestTemplateWithDocumentFields>
</soap:Body>
</soap:Envelope>

The response returns the requested Template definition, including the document custom DocumentFields.